Subject: Re: Robert Wilton's No Objection on draft-ietf-httpbis-client-hints-14: (with COMMENT)

From: Yoav Weiss <[email-masked]>
Date: Wed, 17 Jun 2020 10:49:21 +0200

Thanks for reviewing and apologies for the delay...

On Thu, May 21, 2020 at 12:17 PM Robert Wilton via Datatracker <
[email-masked]> wrote:

> Robert Wilton has entered the following ballot position for
> draft-ietf-httpbis-client-hints-14: No Objection
>
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
>
>
> Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about IESG DISCUSS and COMMENT positions.
>
>
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-httpbis-client-hints/
>
>
>
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
>
> Hi,
>
> Thanks for this document.  It seemed relatively easy to read, although I'm
> not
> sure whether I'm totally bought into the idea since it feels like it is
> perhaps
> making HTTP a little bit less stateless.  However, I'm not particularly
> familiar with the details of HTTP as it is outside my domain of expertise.
>
> One issue that wasn't clear to me was how do you ensure that two
> independent
> entities don't both try and standardize the same client hint.  From
> looking at
> the IANA section in https://wicg.github.io/ua-client-hints/ it seems the
> answer
> is probably that the client hint headers would be expected to be
> registered in
> RFC3864.  It might be useful if this document had some text describing
> this,
> along with a reference to RFC 3864.
>

I added a sentence about that to the IANA considerations section. See
https://github.com/httpwg/http-extensions/pull/1220/files#diff-6e79d9caec04bd66d25e88d370797f08L243

> Regards,
> Rob